﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using LightInject;
using UIKit;

namespace KerberosSSOA.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        private IServiceContainer m_serviceContainer;

        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();

            var application = new App(CreateContainer());

            LoadApplication(application);

            return base.FinishedLaunching(app, options);
        }

        private IServiceContainer CreateContainer()
        {
            m_serviceContainer = new ServiceContainer();
            m_serviceContainer.RegisterFrom<PlatformCompositionRoot>();
            return m_serviceContainer;
        }
    }
}
