﻿using KerberosSSOA.Pages;
using KerberosSSOA.Services;
using LightInject;

namespace KerberosSSOA.iOS
{
    class PlatformCompositionRoot : ICompositionRoot
    {
        public void Compose(IServiceRegistry serviceRegistry)
        {
            serviceRegistry.Register<IMainPageViewModel, MainPageViewModel>();

            serviceRegistry.Register(factory => new MainPage
            {
                BindingContext = factory.GetInstance<IMainPageViewModel>()
            });

            serviceRegistry.Register<IAuthenticationService, AuthenticationService>();
        }
    }
}