//
//  WelcomeViewController.swift
//  DIPSAuthPrototypeA
//
//  Created by trd-studs on 24/03/2021.
//

import UIKit

class WelcomeViewController : UIViewController {
    override func viewDidLoad() {
        super.viewDidLoad()
        title = "Welcome! Please sign in"
        view.backgroundColor = .systemBackground
        view.addSubview(signInButton)
        signInButton.addTarget(self, action: #selector(didTapSignIn), for: .touchUpInside)
    }
    
    override func viewDidLayoutSubviews() {
        super.viewDidLayoutSubviews()
        signInButton.frame = CGRect(x:20, y:50, width: 100, height: 50)
        signInButton.center = view.center
    }
    
    @objc func didTapSignIn() {
        AuthManager.shared.authorize(view: self)
    }
    
    private let signInButton: UIButton = {
        let button = UIButton()
        button.backgroundColor = .red
        button.setTitle("Sign In", for: .normal)
        button.setTitleColor(.white, for: .normal)
        return button
    }()
}
