//
//  Utils.swift
//  SSOExtension
//
//  Created by trd-studs on 26/04/2021.
//

import Foundation

class Utils {
    static func getAuthParamsFromURL(url: URL) -> AuthorizationParameters? {
        guard let url = URLComponents(string: url.absoluteString) else { return nil }
        
        let clientId = url.queryItems?.first(where: {$0.name == "client_id"})?.value
        let clientSecret = url.queryItems?.first(where: {$0.name == "client_secret"})?.value
        let redirectURIString = url.queryItems?.first(where: {$0.name == "redirect_uri"})?.value
        let redirectURI = URL(string: redirectURIString!)
        
        return AuthorizationParameters(clientId: clientId!, clientSecret: clientSecret!, redirectURI: redirectURI!)
    }
    
    static func getPreferences() -> Preferences {
        if  let path        = Bundle.main.path(forResource: "Preferences", ofType: "plist"),
            let xml         = FileManager.default.contents(atPath: path),
            let preferences = try? PropertyListDecoder().decode(Preferences.self, from: xml)
        {
            return preferences
        }
        
        return Preferences(clientId: "", clientSecret: "", redirectURI: URL(string: "")!, scopes: [], authorizationEndpoint: URL(string: "")!, tokenEndpoint: URL(string: "")!)
    }
}
